/**
  Generated Main Source File

  Company:
    Microchip Technology Inc.

  File Name:
    main.c

  Summary:
    This is the main file generated using PIC10 / PIC12 / PIC16 / PIC18 MCUs

  Description:
    This header file provides implementations for driver APIs for all modules selected in the GUI.
    Generation Information :
        Product Revision  :  PIC10 / PIC12 / PIC16 / PIC18 MCUs - 1.77
        Device            :  PIC16F18857
        Driver Version    :  2.00

  I/O - Matrix_LED(LTP-12188M-08): 
    RA0-RA7 - Cathode(Green) 
    RB0-RB7 - Cathode(Red) 
    RC0-RC7 - Anode 

*/

/*
    (c) 2018 Microchip Technology Inc. and its subsidiaries. 
    
    Subject to your compliance with these terms, you may use Microchip software and any 
    derivatives exclusively with Microchip products. It is your responsibility to comply with third party 
    license terms applicable to your use of third party software (including open source software) that 
    may accompany Microchip software.
    
    THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER 
    EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY 
    IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS 
    FOR A PARTICULAR PURPOSE.
    
    IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
    INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND 
    WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP 
    HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO 
    THE FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL 
    CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT 
    OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS 
    SOFTWARE.
*/

#include "mcc_generated_files/mcc.h"

// O[oϐ錾
const unsigned int Slant_Red[] = {0x80,0x40,0x20,0x10,0x08,0x04,0x02,0x01};     // ΐRedf[^
const unsigned int Slant_Green[] = {0x01,0x02,0x04,0x08,0x10,0x20,0x40,0x80};   // ΐGreenf[^
const unsigned int Grid_Red[] = {0xDB,0xB6,0x6D,0xDB,0xB6,0x6D,0xDB,0xB6};     // iqRedf[^
const unsigned int Grid_Green[] = {0x6D,0xDB,0xB6,0x6D,0xDB,0xB6,0x6D,0xDB};   // iqGreenf[^

unsigned int i,j;

/*
                         Main application
 */
void main(void)
{
    // initialize the device
    SYSTEM_Initialize();

    // When using interrupts, you need to set the Global and Peripheral Interrupt Enable bits
    // Use the following macros to:

    // Enable the Global Interrupts
    //INTERRUPT_GlobalInterruptEnable();

    // Enable the Peripheral Interrupts
    //INTERRUPT_PeripheralInterruptEnable();

    // Disable the Global Interrupts
    //INTERRUPT_GlobalInterruptDisable();

    // Disable the Peripheral Interrupts
    //INTERRUPT_PeripheralInterruptDisable();

    while (1)
    {
        // Add your application code
        for(i=0; i<8; i++) {
// ΐp^[            
            LATA = ~(Slant_Green[i]);   // Greenp^[rbg]RA|[gɏo
            LATB = ~(Slant_Red[i]);     // Redp^[rbg]RB|[gɏo
// iqp^[
//            LATA = ~(Grid_Green[i]);   // Greenp^[rbg]RA|[gɏo
//            LATB = ~(Grid_Red[i]);     // Redp^[rbg]RB|[gɏo

            LATC = 0x01 << i;           // Am[hVtgRC|[gɏo
            
            __delay_ms(1);       // _Ci~bN_             
        }            
    }
}
/**
 End of File
*/